Skip to content

List and search report templates

Request to list report templates:

GET /api/v2/reports.json

Example of response:

{
    "reports": [
        {
            "report_id": "4992166a-d24b-435c-bb3f-d1dd7a083eb8",
            "report_type": "call_summary",
            "name": "Calls Summary Report - Back Office",
            "description": null,
            "tenant_id": null,
            "owner_user_id": null,
            "period": "last_30d",
            ...
        },
        {
            "report_id": "8869de78-5834-4e29-8393-78cfe062ce12",
            "report_type": "audit_trail_summary",
            "name": "Audit trail summary",
            "description": null,
            "tenant_id": null,
            "owner_user_id": null,
            "period": "last_30d",
            ...
        }
    ],
    "total": 2,
    "next_url": null
}

Each item is a complete report template object. See Collections for paging.

Search report templates

Parameter Description
search_term

Search by report name. Partial match, case insensitive.

GET /api/v2/reports.json?search_term=Summary
report_type

Filter by report type (see attributes).

GET /api/v2/reports.json?report_type=call_summary
tenant_id

Filter by tenant ID.

GET /api/v2/reports.json?tenant_id=2bfcefd4-f41d-11e4-983d-e03f497dbdff
user_id

Filter by owner user ID.

GET /api/v2/reports.json?user_id=3fce14ba-0848-440c-95a1-98d376067b77

Example with several parameters:

GET /api/v2/reports.json?report_type=call_details&search_term=Contoso

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list of report templates is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view reports
404 Not Found The tenant_id or user_id parameter is not a valid UUID